{% extends "layout.html" %}
{% block content %}
    <h3 style='color: #ccc;font-size: 20px;'>No group messages.</h3>
    <div class="message_holder"></div> <!-- ovdje se ispisuju poruke -->

    <form action="" method="POST">
      <data type="text" class="username" value="{{ current_user.username }}"/>

      <input type="text" class="message" placeholder="Messages"/>
      <input type="submit"/>
    </form>

    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/1.7.3/socket.io.min.js"></script>
    <script type="text/javascript">

            var socket = io.connect('http://' + document.domain + ':' + location.port);

            socket.on('connect', function () {
                socket.emit('my event', { //poziva metode
                    data: 'User Connected'
                })
                var randColour = Math.random().toString(16).substr(2, 6)

                var form = $('form').on('submit', function (e) {
                    e.preventDefault()
                    let user_name = $('data.username').val()

                    if (user_name == "") {
                        user_name = "Unregistered user"

                    }
                    let user_input = $('input.message').val()
                    var currentdate = new Date();
                    var datetime = currentdate.getDay() + 5 + "/" + currentdate.getMonth() + 1
                        + "/" + currentdate.getFullYear() + " @ "
                        + currentdate.getHours() + ":"
                        + currentdate.getMinutes() + ":" + currentdate.getSeconds();

                    socket.emit('my event', {
                        date: datetime,
                        user_name: user_name,
                        message: user_input,
                        randColour: randColour

                    })
                    $('input.message').val('').focus()
                })
            })

            socket.on('my response', function (msg) {
                console.log(msg)
                if (typeof msg.user_name !== 'undefined') {
                    $('h3').remove()
                    $('div.message_holder').append('<div><b style="color:#' + msg.randColour + ' ">(' + msg.date + ') ' + msg.user_name + '</b> ' + msg.message + '</div>')
                }
            })
    </script>
{% endblock content %}